# Generated from logstash-filter-kube-5.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name logstash-filter-kube

Name: rubygem-%{gem_name}
Version: 5.0.3
Release: 1%{?dist}
Summary: This filter extracts useful kubernetes information from kubelet logfile symlinks
License: Apache License (2.0)
URL: https://github.com/vaijab/logstash-filter-kubernetes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(logstash-devutils)
# BuildRequires: rubygem(logstash-devutils) < 1
BuildArch: noarch

%description
This gem is a logstash plugin required to be installed on top of the Logstash
core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a
stand-alone program.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/logstash-filter-kube.gemspec
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 5.0.3-1
- Initial package
